# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/expat/Attic/expat-1.95.8.ebuild,v 1.23 2009/03/21 22:48:49 eva dead $

EAPI="3"

inherit eutils multilib libtool

DESCRIPTION="XML parsing libraries"
HOMEPAGE="http://expat.sourceforge.net/"
SRC_URI="mirror://sourceforge/expat/${P}.tar.gz"

LICENSE="as-is"
SLOT="1.95"
KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86"
IUSE="test"

DEPEND="test? ( >=dev-libs/check-0.8 )"
RDEPEND=""

src_prepare() {
	epatch "${FILESDIR}/expat-CVE-2009-2625.patch"
	epatch "${FILESDIR}/expat-CVE-2009-3560.patch"
	sed -e 's/^LTFLAGS/#LTFLAGS/' -i Makefile.in
	cp `aclocal --print-ac-dir`/libtool.m4 conftools || die
	libtoolize --copy --force --automake && aclocal && autoheader && autoconf
#	rm conftools/libtool.m4
#	elibtoolize --copy --force --automake
#	eautoreconf
}

src_test() {
	if ! use test && [[ -z $(best_version dev-libs/check) ]] ; then
		ewarn "You dont have USE=test and dev-libs/check is not installed."
		ewarn "src_test will be skipped."
		return 0
	fi
	make check || die "make check failed"
}

src_install() {
	dolib.so .libs/libexpat.so.0* || die
#	einstall man1dir="${D}/usr/share/man/man1" || die "einstall failed"
#	dosed /usr/$(get_libdir)/libexpat.la #81568
	dodoc Changes README
	dohtml doc/*
}

